Return safe OpenCode connection metadata and the discovered catalog
Never returns imported credentials or provider configuration. Omit repository_id for the organization connection.
/organizations/{organization_id}/opencode-connectionNever returns imported credentials or provider configuration. Omit repository_id for the organization connection.
In: cookie
Path Parameters
1 <= length <= 128Query Parameters
1 <= length <= 128Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/string/opencode-connection"{ "data": { "auth": { "active_version": 1, "configured": true, "fingerprint": "string", "inherited": true, "mode": "CREDENTIALS", "provider_ids": [ "string" ], "source_scope": "ORGANIZATION" }, "catalog": { "catalog": { "providers": [ { "id": "string", "models": [ { "capabilities": { "attachment": true, "reasoning": true, "temperature": true, "tool_call": true }, "id": "string", "limits": { "context": 0, "output": 0 }, "name": "string", "variants": [ "string" ] } ], "name": "string" } ], "runtime_version": "1.18.11" }, "configuration_fingerprint": "string", "credential_fingerprint": "string", "error": "string", "finished_at": "string", "id": "string", "last_successful_at": "string", "organization_id": "string", "provider_version": "string", "repository_id": "string", "started_at": "string", "status": "QUEUED", "updated_at": "string", "workflow_run_id": "string" }, "configuration": { "active_version": 1, "configured": true, "fingerprint": "string", "inherited": true, "source_scope": "ORGANIZATION" }, "organization_id": "string", "ready": true, "repository_id": "string" }}Connect to anonymously accessible OpenCode Zen models PUT
Requires ADMIN or SUPER_USER. No credential is collected or written to the sandbox. Data sent to free models may be used by OpenCode or the model provider to improve their models.
Import an existing OpenCode auth document and safe provider/model configuration PUT
Requires ADMIN or SUPER_USER. Plugins, commands, permissions, project instructions, and all other top-level sections are excluded. Imported plaintext is encrypted and never returned.